package youngee_talent_model

import "github.com/gogf/gf/util/gmeta"

type InfoThirdPlatform struct {
	gmeta.Meta   `orm:"table:info_third_platform"`
	PlatformId   uint   `json:"platform_id"`   // 平台id，主键
	PlatformName string `json:"platform_name"` // 平台名
	PlatformIcon string `json:"platform_icon"` // 平台图标url
}

type PlatformAccountInfo struct {
	gmeta.Meta         `orm:"table:youngee_platform_account_info"`
	AccountId          int                `json:"account_id"`            //
	TalentId           string             `json:"talent_id"`             // 达人账号id(youngee_talent_info表id值)
	PlatformId         int                `json:"platform_id"`           // 平台id，与third_platform_info中的id相同
	PlatformUid        int                `json:"platform_uid"`          // 在平台上的id
	PlatformNickname   string             `json:"platform_nickname"`     // 在平台上的昵称
	HomePageUrl        string             `json:"home_page_url"`         // 主页链接
	FansCount          int64              `json:"fans_count"`            // 粉丝数
	HomePageCaptureUrl string             `json:"home_page_capture_url"` // 主页截图链接
	PlatformInfo       *InfoThirdPlatform `orm:"with:platform_id=platform_id"`
}
